> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelriskmatches

> Requires risk.read. The review queue.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/risk/matches
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/risk/matches:
    get:
      tags:
        - panel
      description: Requires risk.read. The review queue.
      operationId: searchPanelBlocklistMatches
      parameters:
        - $ref: '#/components/parameters/Cursor'
        - $ref: '#/components/parameters/PageSize'
        - in: query
          name: status
          schema:
            type: string
            enum:
              - open
              - allowed
              - blocked
              - appealed
        - in: query
          name: customerId
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Matches
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelMatchPage'
        '403':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    Cursor:
      in: query
      name: cursor
      schema:
        type: string
        description: Opaque keyset cursor from the previous page.
    PageSize:
      in: query
      name: pageSize
      schema:
        type: integer
        minimum: 1
        maximum: 500
        default: 100
  schemas:
    PanelMatchPage:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelBlocklistMatch'
        nextCursor:
          type: string
    PanelBlocklistMatch:
      type: object
      required:
        - id
        - customerId
        - sourceId
        - subjectKind
        - status
        - detectedAt
      properties:
        id:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        sourceId:
          type: string
          format: uuid
        sourceSlug:
          type: string
        sourceName:
          type: string
        subjectKind:
          type: string
          enum:
            - telegram_id
            - email
            - username
        status:
          type: string
          enum:
            - open
            - allowed
            - blocked
            - appealed
        decisionReason:
          type: string
        decidedBy:
          type: string
          format: uuid
        detectedAt:
          type: string
          format: date-time
        decidedAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.